%define name1   	ffDiaporama

Name:		ffdiaporama
Version:	2.2
Release:	%mkrel 1
Summary:	Movie creator from photos and video clips
License:	GPLv2
URL:		http://ffdiaporama.tuxfamily.org
Group:		Video
Source0:	http://download.tuxfamily.org/ffdiaporama/Archives/%{name}-%{version}.tar.xz
Source1:	ffDiaporama-rsc.tar.xz
Patch1:		ffdiaporama-ffmpeg-2.4.patch
Patch2:		ffdiaporama-audiodecode.patch
Patch3:		ffdiaporama-nodownload.patch
Patch4:		ffdiaporama-workingdir.patch
Patch5:		ffdiaporama-2.2-ffmpeg-3.2.patch
Patch6:		ffdiaporama-ffmpeg-detection.patch
Patch7:		ffdiaporama-ffmpeg3.0.patch
Patch8:		ffdiaporama-changelog-date.patch
Patch9:		ffdiaporama-menufile.patch

#--------------------------------------
BuildRequires:  qt5-devel
BuildRequires:	qt5core-devel
BuildRequires:	qt5gui-devel
BuildRequires:	qt5svg-devel
BuildRequires:	qt5xml-devel
BuildRequires:	qt5concurrent-devel
BuildRequires:	qt5multimedia-devel
BuildRequires:	qt5help-devel
BuildRequires:	qt5network-devel
BuildRequires:	qt5sql-devel
BuildRequires:	qt5widgets-devel
BuildRequires:	qttools5
BuildRequires:	ffmpeg-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	desktop-file-utils
BuildRequires:	%{_lib}taglib-devel
BuildRequires:	%{_lib}exiv2-devel
#-------------------------------------

Requires:	SDL SDL_mixer
Requires:	exiv2
Requires:	ffmpeg
Requires:	qtbase5-database-plugin-sqlite
Requires:	qtbase5-common
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
ffDiaporama is an application for creation of video sequences established by:
 * titles, fixed or livened up.
 * images or by photos, fixed or livened up.
 * movie clip
 * music

These sequences are assembled in slide show by means of transitions of sequence
to produce complete videos.

Main features:
 * Refocused of images and photos and refocused and cutting of video clips
 * Note (addition of text) for images, photos, sequences and animations
 * Graphic filters on the images and the videos (passage in black and white,
   dust removal, equalization of colors, etc.)
 * Creation of animation by zoom, rotation or Ken Burns Effect on part of 
   images or photos
 * Correction of the images and the videos during the animations
   (luminosity, contrast, gamma, colors, etc.)
 * Transitions between sequence with definition of the transition type, 
   sequence by sequence.
 * Addition of a background sound (wav, mp3 or ogg) with customizable 
   effects of volume, fade in/out and passage in pause, sequence by
   sequence.
 * Generation of usable videos by most of the current videos equipments 
   (DVD player/smartphone, multimedia box, hard drive, etc.) but also 
   publishable on the main video sharing Web sites (YouTube, Dailymotion, 
   etc.)

%prep
%setup -qn %name-2.2.20140701
tar -xJf %SOURCE1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
#%patch9 -p1

chmod -x *.* authors.txt BUILDVERSION.txt changelog-en.txt changelog-fr.txt \
		licences.txt readme.txt licence.rtf ffDiaporama.xml ffDiaporama.desktop \
		Devices.xml ffDiaporama-mime.xml locale/LOCALEVERSION.TXT locale/WIKIVERSION.TXT

%build
%qmake_qt5 %{name1}.pro
%make

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT
mv ffDiaporama/* %{buildroot}/usr/share/ffDiaporama/

# remove dupes
find %{buildroot}%{_datadir}/%{name1}/locale -name "*.ts" | xargs rm -f
rm -f %{buildroot}%{_datadir}/%{name1}/locale/qt_zh_tw.qm

desktop-file-install --vendor="" \
       --remove-category="GNOME" \
       --remove-category="AudioVideo" \
       --add-category="Video"  \
       --add-category="X-MandrakeLinux-Multimedia-Video"  \
       --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%name1.desktop

%files
%defattr(-,root,root,-)
%{_datadir}/%{name1}/
%{_bindir}/%{name1}
%{_datadir}/applications/%{name1}.desktop
%{_datadir}/mime/packages/%{name1}-mime.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png

%clean
rm -rf ${RPM_BUILD_ROOT}


%changelog
* Thu Nov 30 2017 Zen Subz <techars21 at gmail dot com> - 2.2-1pclos2017
- Rebuild with new patches and to v2.2.20160323

* Wed Mar 08 2017 bb2 <bb2> - 2.1-3pclos2017
- rebuild for new ffmpeg
